summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2013-05-22 05:10:29 +0000
committerMichał Górny <mgorny@gentoo.org>2013-05-22 05:10:29 +0000
commit450b9592ce8eb7e0d70ebe706af9836368bea809 (patch)
tree75db93a0a3ab54d5414741fe7bb793360ccf412c /eclass/eutils.eclass
parentAdding nose dep for tests (diff)
downloadhistorical-450b9592ce8eb7e0d70ebe706af9836368bea809.tar.gz
historical-450b9592ce8eb7e0d70ebe706af9836368bea809.tar.bz2
historical-450b9592ce8eb7e0d70ebe706af9836368bea809.zip
Fix the libtool check, bug #470938.
Diffstat (limited to 'eclass/eutils.eclass')
-rw-r--r--eclass/eutils.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/eutils.eclass b/eclass/eutils.eclass
index 7970a661587b..39cf78c43151 100644
--- a/eclass/eutils.eclass
+++ b/eclass/eutils.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/eutils.eclass,v 1.420 2013/05/21 14:05:31 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/eutils.eclass,v 1.421 2013/05/22 05:10:29 mgorny Exp $
# @ECLASS: eutils.eclass
# @MAINTAINER:
@@ -1465,7 +1465,7 @@ prune_libtool_files() {
# The following check is done by libtool itself.
# It helps us avoid removing random files which match '*.la',
# see bug #468380.
- if ! sed -n -e '/^# Generated by .*libtool/q0;4q1'; then
+ if ! sed -n -e '/^# Generated by .*libtool/q0;4q1' "${f}"; then
continue
fi